Ask Your Question
0

Gstreamer Doesn't Work Fedora 21 beta

asked 2014-11-07 04:03:09 -0500

tulio gravatar image

updated 2014-11-07 04:48:15 -0500

Since I updated from FC21 alpha to FC21 beta I cannot play any kind of media MP3, MP4... The Totem Movie Player tells me that I need a couple of codecs than ask if want Search for them, I accept then it ask if I would like to install:

  • Gstreamer crystalhd decoder...
  • Gstreamer streaming media framework...
  • Gstreamer plugins with good code...

And so on... But it fails to install the software because it's already installed. It also made my Rhythmbox stop woking.

The PackageKit-gstreamer-plugin that was installed by default is 1.0.1-0.1.2014101.

Would anyone help fix it please? Cheers!

edit retag flag offensive close merge delete

Comments

Have you got rpmfusion enabled and packages from there updated? I've been on F21 before it went alpha and all my stuff works just fine here.

FranciscoD_ gravatar imageFranciscoD_ ( 2014-11-07 09:08:35 -0500 )edit

did you try to check the packages ? "yum check all && yum clean all && yum update"

baoboa gravatar imagebaoboa ( 2014-11-07 20:33:03 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2014-12-06 23:22:33 -0500

Rindo gravatar image

I don't know if you have the problem. but this one worked for me. I found it on the forum but I'm reposting it here just in case. enabling non free repository:

su -c 'yum localinstall --nogpgcheck http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm'

then install the codecs

sudo yum -y install gstreamer-plugins-bad gstreamer-plugins-bad-free-extras gstreamer-plugins-bad-nonfree gstreamer-plugins-ugly gstreamer-ffmpeg gstreamer1-libav gstreamer1-plugins-bad-free-extras gstreamer1-plugins-bad-freeworld gstreamer1-plugins-base-tools updates gstreamer1-plugins-good-extras gstreamer1-plugins-ugly gstreamer1-plugins-bad-free gstreamer1-plugins-good gstreamer1-plugins-base gstreamer1 lame-libs

edit flag offensive delete link more

Comments

randomuser gravatar imagerandomuser ( 2014-12-07 01:42:10 -0500 )edit

maybe but it was the only way it made mine work. otherwise there will be the error saying that it is already installed (but does't work though)

Rindo gravatar imageRindo ( 2014-12-07 03:41:24 -0500 )edit
0

answered 2014-12-11 13:32:13 -0500

empateinfinito gravatar image

su -c ' yum -y install --nogpgcheck gstreamer-plugins-ugly gstreamer-plugins-bad gstreamer-ffmpeg gstreamer1-libav gstreamer1-plugins-bad-freeworld gstreamer1-plugins-base-tools updates gstreamer1-plugins-good-extras gstreamer1-plugins-ugly gstreamer1-plugins-bad-free gstreamer1-plugins-good gstreamer1-plugins-base gstreamer1'

edit flag offensive delete link more

Question Tools

4 followers

Stats

Asked: 2014-11-07 04:03:09 -0500

Seen: 4,942 times

Last updated: Dec 11 '14